## gst-openmax 0.10.0.6~1-0maemo14+0m5

=== debian/changelog ===
gst-openmax (0.10.0.6~1-0maemo14+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 29 Oct 2009 11:52:43 +0200

gst-openmax (0.10.0.6~1-0maemo14) unstable; urgency=low

  * Increase the rank of H.264 video decoder

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 27 Oct 2009 14:09:49 +0200

gst-openmax (0.10.0.6~1-0maemo13) unstable; urgency=low

  * Fix framerate fallback regression for videocall.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 15 Oct 2009 22:35:27 +0300

gst-openmax (0.10.0.6~1-0maemo12) unstable; urgency=low

  * Decrease ranks of elements; we prefer gst-dsp.

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 05 Oct 2009 16:41:29 +0300

gst-openmax (0.10.0.6~1-0maemo11) unstable; urgency=low

  * Rebase on top of upstream 'master'.

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 29 Sep 2009 19:29:54 +0300
