=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,8 @@
 binary: binary-arch
 .PHONY: build clean binary-arch binary install
 
-ORIGIN_REF := master
-PATCHES_REF := maemo
+ORIGIN_REF := omap
+PATCHES_REF := maemo-patches
 
 update-patch-series:
 	mkdir -p debian/patches
