=== debian/changelog ===
gst-openmax (0.10.0.6~1-0maemo17+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Marco Ballesio <marco.ballesio@nokia.com>  Tue, 26 Jan 2010 10:06:53 +0200

gst-openmax (0.10.0.6~1-0maemo17) unstable; urgency=low

  * Get rid of major memleak. (Fixes: NB#146026)

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 21 Jan 2010 20:06:34 +0200

gst-openmax (0.10.0.6~1-0maemo16) unstable; urgency=low

  * Improve error handling

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 16 Dec 2009 17:58:32 +0200

gst-openmax (0.10.0.6~1-0maemo15) unstable; urgency=low

  * Fixes: NB#136816 - Some H.264 decoder issues with RTP

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 10 Dec 2009 15:44:45 +0200
