=== debian/control ===
Source: gst-openmax
Maintainer: Maemo Multimedia <multimedia@maemo.org>
XSBC-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
XSBC-Uploaders: Marc-Andre Lureau <marcandre.lureau@gmail.com>, Loic Minier <lool@dooz.org>
Section: libs
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2),
	autotools-dev,
	libgstreamer0.10-dev,
	libgstreamer-plugins-base0.10-dev,
	pkg-config,
	quilt
Vcs-Svn: svn:///svn.debian.org/pkg-gstreamer/experimental/gst-openmax
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gstreamer/experimental/gst-openmax
Homepage: http://freedesktop.org/wiki/GstOpenMAX

Package: gstreamer0.10-openmax
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libomxil-bellagio0, libomxil-ti0
Description: gst-openmax is a GStreamer plug-in that allows communication with
 OpenMAX IL components.
 .
 Multiple OpenMAX IL implementations can be used, including but not limited to
 Texas Instruments and Bellagio.

Package: gstreamer0.10-openmax-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: gstreamer0.10-openmax (= ${binary:Version})
Description: Debug symbols for gst-openmax.
