=== debian/rules ===
--- 
+++ 
@@ -49,17 +49,17 @@
 .PHONY: build clean binary-arch binary install
 
 ORIGIN_REF := omap
-PATCHES_REF := maemo-patches
+PATCHES_REF := maemo5-patches
 
 update-patch-series:
 	mkdir -p debian/patches
 	rm -f debian/patches/*.patch
-	git format-patch -o debian/patches $(PATCHES_REF) ^$(ORIGIN_REF) | \
+	git format-patch -N -o debian/patches $(PATCHES_REF) ^$(ORIGIN_REF) | \
 	        xargs -n 1 basename > debian/patches/series
 	for patch in debian/patches/*.patch; do \
 		lines=$$(cat $$patch | wc -l) ; \
 		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
 		mv $${patch}.chomped $$patch ; \
 	done
-	git ls-files --modified --others -z debian/patches/*.patch debian/patches/series | \
+	git ls-files --modified --others -z 'debian/patches/*.patch' 'debian/patches/series' | \
 		git update-index --add --remove -z --stdin
