## gst-openmax 0.10.0.6~1-0maemo17.1+0m5

=== debian/changelog ===
gst-openmax (0.10.0.6~1-0maemo17.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.10.0.6~1-0maemo17.1+0m5

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 29 Jul 2010 10:43:37 +0300

gst-openmax (0.10.0.6~1-0maemo17.1) unstable; urgency=low

  * Propagate aspect-ratio. (Fixes: NB#152066, MB#7465)

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 26 May 2010 00:21:21 +0300
